1 Reply Latest reply: Oct 16, 2012 3:23 AM by Carolyn Samit
yolsson Level 1 Level 1 (0 points)

Says this software is not supported on your system. I have OS X10.8.2, so it should work?